=== debian/changelog ===
yubico-piv-tool (2.5.2-1) unstable; urgency=medium

  * New upstream version 2.5.2
  * Fix lintian override

 -- Patrick Winnertz <winnie@debian.org>  Thu, 09 May 2024 20:41:06 +0200

yubico-piv-tool (2.5.1-1) unstable; urgency=medium

  * Update siging-keys according to the keys listed on the yubico website.
  * New upstream version 2.5.1 (Closes: #1023561)
  * Remove all patches - they are now incorporated upstream.
  * Remove upstream from uploaders as stated in a private mail from
    Alessio Di Mauro
  * Take over Uploaders from Nicoo, according to Salvage Process.
  * Update copyright
  * Bump standards version to 4.7.0 - no changes needed.

 -- Patrick Winnertz <winnie@debian.org>  Sun, 05 May 2024 13:26:31 +0200
