## yubico-piv-tool 2.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,8 +39,8 @@
 project (yubico-piv-tool)
 
 set (yubico_piv_tool_VERSION_MAJOR 2)
-set (yubico_piv_tool_VERSION_MINOR 5)
-set (yubico_piv_tool_VERSION_PATCH 2)
+set (yubico_piv_tool_VERSION_MINOR 7)
+set (yubico_piv_tool_VERSION_PATCH 1)
 set (VERSION "${yubico_piv_tool_VERSION_MAJOR}.${yubico_piv_tool_VERSION_MINOR}.${yubico_piv_tool_VERSION_PATCH}")
 set (SO_VERSION 2)
