=== debian/changelog ===
yubico-piv-tool (2.7.1-1) unstable; urgency=medium

  * New upstream version 2.7.1
  * Update Copyright add 2025 to debian/*
  * Update Copyright
  * Add more symbols to the symbols file

 -- Patrick Winnertz <winnie@debian.org>  Fri, 24 Jan 2025 14:04:20 +0100
