=== debian/control ===
Source: yubico-piv-tool
Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
Uploaders: Patrick Winnertz <winnie@debian.org>, nicoo <nicoo@debian.org>
Section: utils
Priority: optional
Build-Depends:
	debhelper-compat (= 13),
  cmake,
	pkgconf,
	check,
	gengetopt,
	help2man,
	libpcsclite-dev,
	libssl-dev,
        zlib1g-dev
Standards-Version: 4.7.0
Homepage: https://developers.yubico.com/yubico-piv-tool/
Vcs-Browser: https://salsa.debian.org/auth-team/yubico-piv-tool
Vcs-Git: https://salsa.debian.org/auth-team/yubico-piv-tool.git
Rules-Requires-Root: no

Package: libykpiv2
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pcscd
Description: Library for communication with the YubiKey PIV smartcard
 The Yubico PIV tool is used for interacting with the Personal
 Identity Verification Card (PIV) application on a YubiKey.  With it
 you may generate keys on the device, import keys and certificates,
 create certificate requests, and other operations. A shared library,
 a PKCS#11 module a command-line tool are included.
 .
 This package contains the run-time shared library.  You normally don't
 need to install it manually.

Package: libykpiv-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libykpiv2 (= ${binary:Version})
Description: Development files for the YubiKey PIV Library
 The Yubico PIV tool is used for interacting with the Personal
 Identity Verification Card (PIV) application on a YubiKey.  With it
 you may generate keys on the device, import keys and certificates,
 create certificate requests, and other operations. A shared library,
 a PKCS#11 module a command-line tool are included.
 .
 This package contains the development files for the library.

Package: yubico-piv-tool
Architecture: any
Multi-Arch: no
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command line tool for the YubiKey PIV applet
 The Yubico PIV tool is used for interacting with the Personal
 Identity Verification Card (PIV) application on a YubiKey.  With it
 you may generate keys on the device, import keys and certificates,
 create certificate requests, and other operations. A shared library,
 a PKCS#11 module a command-line tool are included.
 .
 This package contains the command-line tool.

Package: ykcs11
Architecture: any
Section: libs
Multi-Arch: no
Depends: ${shlibs:Depends}, ${misc:Depends}, libykpiv2 (= ${binary:Version})
Description: PKCS#11 module for the YubiKey PIV applet
 The Yubico PIV tool is used for interacting with the Personal
 Identity Verification Card (PIV) application on a YubiKey.  With it
 you may generate keys on the device, import keys and certificates,
 create certificate requests, and other operations. A shared library,
 a PKCS#11 module a command-line tool are included.
 .
 This package contains the PKCS#11 module.
