## yubico-piv-tool 2.7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 set (yubico_piv_tool_VERSION_MAJOR 2)
 set (yubico_piv_tool_VERSION_MINOR 7)
-set (yubico_piv_tool_VERSION_PATCH 1)
+set (yubico_piv_tool_VERSION_PATCH 2)
 set (VERSION "${yubico_piv_tool_VERSION_MAJOR}.${yubico_piv_tool_VERSION_MINOR}.${yubico_piv_tool_VERSION_PATCH}")
 set (SO_VERSION 2)
