=== tool/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,9 @@
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
 message("tool/CMakeList.txt")
+
+include(${CMAKE_SOURCE_DIR}/cmake/pcscd.cmake)
+find_pcscd()
 
 set (SOURCE
         yubico-piv-tool.c
