=== debian/changelog ===
yubico-piv-tool (2.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.7.2
  * Standards-Version: 4.7.2.
  * Improve d/copyright wrt openssl-compat and myself.
  * Add d/salsa-ci.yml.
  * Run wrap-and-sort -satbk.
  * Drop irrelevant d/README.source.
  * Change Maintainer: from pkg-auth to pkg-security.
  * Add upstream/metadata.
  * Drop old MISSING from symbols files.
  * Fix wrap-and-sort.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 29 Aug 2025 18:56:18 +0200
